#ifndef CMWCOMPMOTOR_H
#define CMWCOMPMOTOR_H

#include "cmwidget.h"

namespace Ui {
class CMWCompMotor;
}

class CMWCompMotor : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCompMotor(QWidget *parent = 0);
    ~CMWCompMotor();

	virtual void MFresh();

public:

    virtual void MInit();
    virtual void MApply();
private slots:

    void on_comboBox_Axis_currentIndexChanged(int index);

    void on_pushButton_defaultSpd_clicked();

    void on_pushButton_JogPas_pressed();

    void on_pushButton_JogPas_released();

    void on_pushButton_JogNag_pressed();

    void on_pushButton_JogNag_released();

    void on_pushButton_HighSpd_clicked(bool checked);

    void on_pushButton_MoveRelNag_clicked();

    void on_pushButton_MoveRelPas_clicked();

    void on_pushButton_stop_clicked();

    void on_pushButton_MoveAbs_clicked();

private:
    void comp_relmove_msg(int iDirect);
    void comp_absmove_msg();
    void comp_jogmove_msg(int iDirect);
    void comp_stopmove_msg();
    Ui::CMWCompMotor *ui;
};

#endif // CMWCOMPMOTOR_H
